<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">


    <!-- 水平居中的不可见线 -->
    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/horizontal_guideline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintGuide_percent="0.5" />

    <!-- 圆角矩形背景 -->
    <View
        android:id="@+id/rounded_background"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@drawable/rounded_rectangle"
        app:layout_constraintBottom_toTopOf="@id/horizontal_guideline"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/back"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_margin="16dp"
        android:src="@drawable/whit_back"
        app:layout_constraintStart_toStartOf="@id/rounded_background"
        app:layout_constraintTop_toTopOf="@id/rounded_background" />

    <ImageView
        android:id="@+id/favorite"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_margin="16dp"
        android:src="@drawable/unfavorite"
        app:layout_constraintEnd_toEndOf="@id/rounded_background"
        app:layout_constraintTop_toTopOf="@id/rounded_background" />

    <ImageView
        android:id="@+id/image"
        android:layout_width="240dp"
        android:layout_height="180dp"
        android:layout_marginTop="64dp"
        app:layout_constraintBottom_toTopOf="@id/loop"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/rounded_background" />


    <ImageView
        android:id="@+id/loop"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="16dp"
        android:src="@drawable/loop"
        app:layout_constraintBottom_toTopOf="@id/text"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/image" />


    <TextView
        android:id="@+id/text"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="16dp"
        android:textColor="@color/white"
        android:text="Airhorn"
        android:textSize="17sp"
        app:layout_constraintBottom_toBottomOf="@id/rounded_background"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/loop" />

    <!--矩形下面-->

    <SeekBar
        android:id="@+id/progress"
        style="?android:attr/progressBarStyleHorizontal"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:maxHeight="5dp"
        android:progress="0"
        android:layout_marginStart="20dp"
        android:layout_marginEnd="20dp"
        android:progressDrawable="@drawable/seek_bar_color"
        app:layout_constraintEnd_toStartOf="@id/max_sound"
        app:layout_constraintStart_toEndOf="@+id/min_sound"
        app:layout_constraintBottom_toTopOf="@+id/playback"
        app:layout_constraintTop_toBottomOf="@+id/rounded_background" />

    <ImageView
        android:id="@+id/min_sound"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="20dp"
        android:src="@drawable/min_sound"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintBottom_toTopOf="@+id/playback"
        app:layout_constraintTop_toBottomOf="@+id/rounded_background" />

    <ImageView
        android:id="@+id/max_sound"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="20dp"
        android:src="@drawable/max_sound"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintBottom_toTopOf="@+id/playback"
        app:layout_constraintTop_toBottomOf="@+id/rounded_background" />

    <ImageView
        android:id="@+id/playback"
        android:layout_width="80dp"
        android:layout_height="80dp"
        android:layout_marginTop="50dp"
        android:layout_marginBottom="100dp"
        android:background="@drawable/round_play"
        android:src="@drawable/playback"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />


</androidx.constraintlayout.widget.ConstraintLayout>
